using System;

namespace Spojler
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] konacan = Console.ReadLine().Split();
            string[] poluvreme = Console.ReadLine().Split();
            long a = long.Parse(konacan[0]);
            long b = long.Parse(konacan[1]);
            long x = long.Parse(poluvreme[0]);
            long y = long.Parse(poluvreme[1]);
            if (a == x && b == y) Console.WriteLine("nijedan");
            else if (a == x && b > y) Console.WriteLine("drugi");
            else if (a > x && b == y) Console.WriteLine("prvi");
            else if (a > x && b > y) Console.WriteLine("?");
        }
    }
}